### Method

# Fwupd Client modify_bios_setting

#### Declaration [src]

    gboolean
    fwupd_client_modify_bios_setting (
      FwupdClient* self,
      GHashTable* settings,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Modifies a BIOS setting using kernel API. The daemon will only respond to this request with proper permissions.

Available since: | 1.8.4

#### Parameters

`settings` | `GHashTable`
| BIOS settings.
| The instance takes ownership of the data container, but not the data inside it.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.